# Uses of Class
org.springframework.cglib.proxy.MethodProxy

Packages that use MethodProxy
Package
Description
org.springframework.cglib.proxy
Spring's repackaging of the CGLIB proxy package (for internal use only).

## Uses of MethodProxy in org.springframework.cglib.proxy

Methods in org.springframework.cglib.proxy that return MethodProxy
Modifier and Type
Method
Description
`static MethodProxy`
MethodProxy.`create(Class c1, Class c2, String desc, String name1, String name2)`
For internal use by `Enhancer` only; see the `FastMethod` class for similar functionality.
`static MethodProxy`
MethodProxy.`find(Class type, Signature sig)`
Return the `MethodProxy` used when intercepting the method matching the given signature.
Methods in org.springframework.cglib.proxy with parameters of type MethodProxy
Modifier and Type
Method
Description
`Object`
MethodInterceptor.`intercept(Object obj, Method method, Object[] args, MethodProxy proxy)`
All generated proxied methods call this method instead of the original method.